aurora-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stephan Erb (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AURORA-1812) Upgrading scheduler multiple times in succession can lead to incompatible snapshot restore
Date Wed, 09 Nov 2016 22:47:58 GMT

    [ https://issues.apache.org/jira/browse/AURORA-1812?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15652282#comment-15652282
] 

Stephan Erb commented on AURORA-1812:
-------------------------------------

+1. I had the same idea in mind.

> Upgrading scheduler multiple times in succession can lead to incompatible snapshot restore

> -------------------------------------------------------------------------------------------
>
>                 Key: AURORA-1812
>                 URL: https://issues.apache.org/jira/browse/AURORA-1812
>             Project: Aurora
>          Issue Type: Bug
>          Components: Scheduler
>    Affects Versions: 0.14.0
>         Environment: Mesos-0.27.2 aurora-scheduler-0.14.0
>            Reporter: Patrick Veasey
>            Priority: Minor
>
> When upgrading scheduler multiple times in a row there can be a situation where the snapshot
is restored is from an incompatible version. Which will cause scheduler to fail to start,
with SQL exceptions. Workaround is to ensure the most current snapshot was taken by the current
version of aurora, either by manually starting snapshot or setting dlog_snapshot_interval
to a low timeframe. 
> Log of failure can be found here:
> https://gist.github.com/Pveasey/4ca1ad4d3ded21cd6e1674f20a8a4af3



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message